Bug 804022 - Agent crash due to Augeas on RHEL 6
Agent crash due to Augeas on RHEL 6
Status: NEW
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.3
x86_64 Linux
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 06:47 EDT by Heiko W. Rupp
Modified: 2014-09-01 08:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error dump from vm (83.58 KB, application/octet-stream)
2012-03-16 06:47 EDT, Heiko W. Rupp
no flags Details

  None (edit)
Description Heiko W. Rupp 2012-03-16 06:47:10 EDT
Created attachment 570568 [details]
Error dump from vm

# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x0000003e6c821208, pid=1678, tid=140116356310784
#
# JRE version: 6.0_17-b17
# Java VM: OpenJDK 64-Bit Server VM (14.0-b16 mixed mode linux-amd64 )
# Derivative: IcedTea6 1.7.10
# Distribution: Custom build (Mon Feb 14 13:03:32 EST 2011)
# Problematic frame:
# C  [libaugeas.so.0+0x21208]
#
# An error report file with more information is saved as:
# /im/rhq/modules/enterprise/agent/target/rhq-agent/hs_err_pid1678.log

[hrupp@pintsize jboss-eap-6.0]$ uname -a
Linux pintsize.home.pilhuhn.de 2.6.32-71.38.1.el6.x86_64 #1 SMP Wed Feb 15 17:15:11 EST 2012 x86_64 x86_64 x86_64 GNU/Linux
[hrupp@pintsize jboss-eap-6.0]$ cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.0 (Santiago)
Comment 1 Charles Crouch 2012-03-19 11:39:30 EDT
Lukas, Can you confirm you were using RHEL6 for your Augeas testing?
Comment 2 Charles Crouch 2012-03-19 11:40:16 EDT
heiko, is there any indication this is coming from JON plugin
Comment 3 Mike Foley 2012-03-19 12:19:04 EDT
per BZ triage (asantos, ccrouch, loleary, mfoley)
Comment 4 Heiko W. Rupp 2012-03-19 15:36:20 EDT
Looks like the grub plugin is the trigger:

Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
C  [libaugeas.so.0+0x21208]

Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
j  com.sun.jna.Function.invokePointer(I[Ljava/lang/Object;)Lcom/sun/jna/Pointer;+0
j  com.sun.jna.Function.invoke([Ljava/lang/Object;Ljava/lang/Class;Z)Ljava/lang/Object;+615
j  com.sun.jna.Function.invoke(Ljava/lang/Class;[Ljava/lang/Object;Ljava/util/Map;)Ljava/lang/Object;+214
j  com.sun.jna.Library$Handler.invoke(Ljava/lang/Object;Ljava/lang/reflect/Method;[Ljava/lang/Object;)Ljava/lang/Object;+341
j  $Proxy73.aug_init(Ljava/lang/String;Ljava/lang/String;I)Lnet/augeas/jna/AugPointer;+27


So no JON plugin, but still scary
j  net.augeas.Augeas.<init>(Ljava/lang/String;Ljava/lang/String;I)V+24
j  org.rhq.plugins.grub.GrubComponent.loadResourceConfiguration(Lorg/rhq/core/domain/configuration/Configuration;)Lorg/rhq/core/domain/configuration/Configuration;+134
Comment 5 Lukas Krejci 2014-09-01 08:05:24 EDT
Removing myself from NEEDINFO. This has been answered by Heiko in comment #4.

Note You need to log in before you can comment on or make changes to this bug.